Unofficial CSE API Docs

Live-probed documentation for https://www.cse.lk/api. Not affiliated with the Colombo Stock Exchange.

POST /aspiData

indices probe ok

All Share Price Index snapshot.

Used by UI: —

Last probe status: 200 · expect [200]

curl

curl -sS -X POST 'https://www.cse.lk/api/aspiData' \
  -H 'Content-Type: application/json' \
  -H 'Origin: https://www.cse.lk' -H 'Referer: https://www.cse.lk/' \
  -d '{}'

Known failures

Fields

Sample

{
  "_probe": {
    "id": "aspiData",
    "url": "https://www.cse.lk/api/aspiData",
    "method": "POST",
    "status": 200,
    "verified_at": "2026-07-16T16:34:32.317445+00:00",
    "fingerprint": {
      "type": "object",
      "keys": [
        "change",
        "highValue",
        "id",
        "lowValue",
        "percentage",
        "sectorId",
        "timestamp",
        "value"
      ]
    }
  },
  "response": {
    "id": 36869864,
    "value": 21447.57,
    "lowValue": 21417.8,
    "highValue": 21504.63,
    "change": 29.77,
    "percentage": 0.13899653559189085,
    "sectorId": 1.0,
    "timestamp": 1784193492268
  }
}